import React from 'react';
import PropTypes from 'prop-types';

const EmphasisIcon = ({ className, size = 16, ...props }) => (
  <svg
    {...props}
    className={className}
    width={size}
    height={size}
    viewBox="0 0 24 24"
  >
    <path
      d="M8 6h10v2H8zM8 11h12v2H8zM8 16h10v2H8zM4 19h2V5H4z"
      fill="currentColor"
      fillRule="nonzero"
    ></path>
  </svg>
);

EmphasisIcon.propTypes = {
  className: PropTypes.string,
  size: PropTypes.number,
};

export { EmphasisIcon };
