/* eslint-disable import/named */
import React from 'react';
import { buttonConfig } from '..';
// eslint-disable-next-line import/no-internal-modules
import { render } from 'redaktilo-spec-helpers/render';

describe('Emphasis button configuration', () => {
  it('button renders label', () => {
    const { label } = buttonConfig({ label: 'Emphasis' });

    expect(label).toBe('Emphasis');
  });

  it('renders an icon as passed prop', () => {
    const { icon: Icon } = buttonConfig();

    const { container } = render(<Icon />);

    expect(container).toMatchSnapshot();
  });

  it('applies any passed prop', () => {
    const { tabIndex } = buttonConfig({ tabIndex: 1 });
    expect(tabIndex).toBe(1);
  });
});
