// eslint-disable-next-line
import { render } from 'redaktilo-spec-helpers/render';

import { renderer as emphasisRenderer } from '..';

describe('renderer', () => {
  it('renders when matched', () => {
    const { container } = render(
      emphasisRenderer({
        node: {
          type: 'emphasis',
        },
        nodeAttributes: { children: 'Text' },
        className: '#myClassname',
      })
    );

    expect(container).toMatchSnapshot();
  });

  it('ignores when not matched', () => {
    const result = emphasisRenderer({
      node: {
        type: 'nothing',
      },
      nodeAttributes: { children: 'Text' },
      className: '#myClassname',
    });

    expect(result).toBe(undefined);
  });
});
