import { EmphasisIcon } from './EmphasisIcon';
import { toggleBlock, isBlockActive } from 'redaktilo-plugin-helpers';
import { EMPHASIS_DEFINITIONS } from './constants';

const buttonConfig = ({
  disabledForBlockTypes = [],
  icon = EmphasisIcon,
  label = 'Emphasis',
  ...props
} = {}) => ({
  isHighlighted: editor => isBlockActive(editor, EMPHASIS_DEFINITIONS.type),
  isDisabled: editor =>
    disabledForBlockTypes.some(element => isBlockActive(editor, element)),
  icon,
  label,
  onClick: (event, editor) => {
    event.preventDefault();
    toggleBlock(editor, EMPHASIS_DEFINITIONS.type);
  },
  ...props,
});

export { buttonConfig };
