import React from 'react';
import Proptypes from 'prop-types';
import { EMPHASIS_DEFINITIONS, EMPHASIS_TAG_NAME } from './constants';

const renderer = ({
  node: { type },
  EMPHASIS_TAG = EMPHASIS_TAG_NAME,
  ...attributes
}) => {
  if (type === EMPHASIS_DEFINITIONS.type) {
    const {
      nodeAttributes: { children },
      renderers,
      ...restOfAttributes
    } = attributes;

    return (
      <EMPHASIS_TAG {...restOfAttributes} data-editor-plugin="emphasis">
        {children}
      </EMPHASIS_TAG>
    );
  }
};

renderer.Proptypes = {
  node: Proptypes.object,
  attributes: Proptypes.object,
};

export { renderer };
